KDE 4.7 PyKDE API Reference

- KDE's Python API

# NETExtendedStrut Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

Partial strut class for NET classes.

This class is a convenience class defining a strut with left, right, top and bottom border values, and ranges for them. The existence of this class is to keep the implementation from being dependent on a separate framework/library. See the _NET_WM_STRUT_PARTIAL property in the NETWM spec.

## Attributes
int | bottom_end
int | bottom_start
int | bottom_width
int | left_end
int | left_start
int | left_width
int | right_end
int | right_start
int | right_width
int | top_end
int | top_start
int | top_width
## Methods
| __init__ (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructor to initialize this struct to 0,0,0,0

## Attribute Documentation

int bottom_end

int bottom_start

int bottom_width

int left_end

int left_start

int left_width

int right_end

int right_start

int right_width

int top_end

int top_start

int top_width